note for pxe boot with local repository

Bug #1368700 reported by Seyeong Kim on 2014-09-12
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
installation-guide (Ubuntu)
Medium
Mathieu Trudel-Lapierre
Trusty
Medium
Mathieu Trudel-Lapierre
Utopic
Medium
Mathieu Trudel-Lapierre

Bug Description

[Impact]
Documentation is missing a critical piece of preseed configuration, which can lead to network-based installations to fail to run.

[Test Case]
1- Look at doc/install/manual/example-preseed.txt.gz on ubuntu-server CDs.
2- Example for d-i live-installer/net-image preseed is missing, under Base install section.

[Regression Potential]
Minimal. This is limited to documentation strings.

----

When pxe boot with local repository, there is an error about filesystem.squashfs

but

after we add below line on preseed.cfg, it works fine.

###
d-i live-installer/net-image string http://IP/PATH/install/filesystem.squashfs
###

It's better if this note is in documentation

reference to : http://www.michaelm.info/blog/?p=1378

Thanks.

Colin Watson (cjwatson) on 2015-01-27
Changed in installation-guide (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in installation-guide (Ubuntu):
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package installation-guide - 20100518ubuntu11

---------------
installation-guide (20100518ubuntu11) vivid; urgency=low

  [ Doug Smythies ]
  * Bump versions and names for Trusty, including kernel and GNOME.
  * Include Changes as per MP 190783, as I got it to build.
  * Bump kernel version for Utopic.

  [ Iain Lane ]
  * Bump names for Utopic, including GNOME but not kernel

  [ Colin Watson ]
  * Stop describing Kickstart support as "preliminary".

  [ Mathieu Trudel-Lapierre ]
  * Add documentation for the live-installer/net-image preseed. (LP: #1368700)
  * Bump versions and names for Vivid, including kernel, but not GNOME: not
    all apps are 3.14 yet, so it seems better to keep it to the lowest version
    until most packages are 3.14.
 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 28 Jan 2015 16:12:19 -0500

Changed in installation-guide (Ubuntu):
status: Triaged → Fix Released
Seyeong Kim (xtrusia) wrote :

it's possible to change this also for trusty, utopic?

Dave Chiluk (chiluk) wrote :

If we don't respin the installation guide for each point release of trusty please ignore the series nomination.

Changed in installation-guide (Ubuntu Trusty):
importance: Undecided → Medium
Changed in installation-guide (Ubuntu Utopic):
importance: Undecided → Medium
Changed in installation-guide (Ubuntu Trusty):
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Changed in installation-guide (Ubuntu Utopic):
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Changed in installation-guide (Ubuntu Trusty):
status: New → In Progress
Changed in installation-guide (Ubuntu Utopic):
status: New → In Progress
description: updated

Hello Seyeong, or anyone else affected,

Accepted installation-guide into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/installation-guide/20100518ubuntu10.14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in installation-guide (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in installation-guide (Ubuntu Utopic):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello Seyeong, or anyone else affected,

Accepted installation-guide into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/installation-guide/20100518ubuntu10.14.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Seyeong Kim (xtrusia) wrote :

trusty

ii installation-guide-amd64 20100518ubuntu10.14.04.1 all Ubuntu installation guide for amd64
ii installation-guide-armhf 20100518ubuntu10.14.04.1 all Ubuntu installation guide for armhf
ii installation-guide-i386 20100518ubuntu10.14.04.1 all Ubuntu installation guide for i386
ii installation-guide-powerpc 20100518ubuntu10.14.04.1 all Ubuntu installation guide for powerpc

utopic

ii installation-guide-amd64 20100518ubuntu10.14.10.1 all Ubuntu installation guide for amd64
ii installation-guide-armhf 20100518ubuntu10.14.10.1 all Ubuntu installation guide for armhf
ii installation-guide-i386 20100518ubuntu10.14.10.1 all Ubuntu installation guide for i386
ii installation-guide-powerpc 20100518ubuntu10.14.10.1 all Ubuntu installation guide for powerpc

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package installation-guide - 20100518ubuntu10.14.10.1

---------------
installation-guide (20100518ubuntu10.14.10.1) utopic-proposed; urgency=medium

  * Update release name and version for Utopic. (LP: #1419955)
  * Add note and example for 'd-i live-installer/net-image', which is now
    required to let the installer know where the preinstalled squashfs can
    be reached. (LP: #1368700)
 -- Mathieu Trudel-Lapierre <email address hidden> Mon, 16 Feb 2015 15:19:52 -0500

Changed in installation-guide (Ubuntu Utopic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for installation-guide has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package installation-guide - 20100518ubuntu10.14.04.1

---------------
installation-guide (20100518ubuntu10.14.04.1) trusty-proposed; urgency=medium

  * Update release version and name for Trusty. (LP: #1419955)
  * Add note and example for 'd-i live-installer/net-image', which is now
    required to let the installer know where the preinstalled squashfs can
    be reached. (LP: #1368700)
 -- Mathieu Trudel-Lapierre <email address hidden> Mon, 16 Feb 2015 15:07:35 -0500

Changed in installation-guide (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers